%bcond_with docs

Name:           python-hyperlink
Version:        21.0.0
Release:        1
Summary:        A pure-Python implementation of immutable URLs
License:        MIT
URL:            https://github.com/python-hyper/hyperlink
Source0:        https://github.com/python-hyper/hyperlink/archive/v%{version}.tar.gz 
BuildArch:      noarch
BuildRequires:  python3dist(sphinx) fontawesome-fonts python3-devel
%{?python_enable_dependency_generator}

%description
Hyperlink is a featureful, pure-Python implementation of the URL, with an emphasis on correctness.

%package -n     python3-hyperlink
Summary:        A pure-Python implementation of immutable URLs
%python_provide python3-hyperlink

%description -n python3-hyperlink
Hyperlink is a featureful, pure-Python implementation of the URL, with an emphasis on correctness.

%package help
Summary:        This package contains help documents
%if %{with docs}
Requires:       fontawesome-fonts
%endif
Provides:       python-hyperlink-doc = %{version}-%{release}
Obsoletes:      python-hyperlink-doc < %{version}-%{release}

%description help
Files for help with python-hyperlink.

%prep
%autosetup -n hyperlink-%{version} -p1
rm -rf hyperlink.egg-info

%build
%py3_build

%if %{with docs}
PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo} html/_static/underscore*.js html/_static/jquery*.js
cd html/_static/fonts/
for file in fontawesome*; do
    rm -f $file
    ln -s /usr/share/fonts/fontawesome/$file $file
done
cd -
ln -s /usr/share/javascript/underscore/underscore-min.js html/_static/underscore.js
ln -s /usr/share/javascript/underscore/underscore.js html/_static/underscore-1.3.1.js
ln -s /usr/share/javascript/jquery/3.2.1/jquery.min.js html/_static/jquery.js
ln -s /usr/share/javascript/jquery/3.2.1/jquery.js html/_static/jquery-3.2.1.js
%endif

%install
%py3_install

%check
%{__python3} -m unittest

%files -n python3-hyperlink
%doc LICENSE
%{python3_sitelib}/hyperlink
%{python3_sitelib}/hyperlink-%{version}-py%{python3_version}.egg-info

%files help
%if %{with docs}
%doc README.md html
%else
%doc README.md
%endif

%changelog
* Thu Jun 09 2022 SimpleUpdate Robot <tc@openeuler.org> - 21.0.0-1
- Upgrade to version 21.0.0

* Tue May 10 2022 yangping <yangping69@h-partners> - 18.0.0-12
- License compliance rectification

* Fri Apr 01 2022 xigaoxinyan <xigaoxinyan@huawei.com> - 18.0.0-11
- Drop docs package: sphinx Update make docs build error and Fix build error caused by py3.10+ wildcard

* Mon Dec 07 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 18.0.0-10
- Add python3-devel dependency

* Wed Oct 21 2020 leiju <leiju4@huawei.com> - 18.0.0-9
- remove python2 subpackage

* Fri Mar 13 2020 gulining<gulining1@huawei.com> - 18.0.0-8
- Remove useless requires

* Thu Mar 12 2020 gulining<gulining1@huawei.com> - 18.0.0-7
- Remove useless buildrequires

* Thu Feb 20 2020 gulining<gulining1@huawei.com> - 18.0.0-6
- Package init
